Koodo Community

Community

Solved

trying to change from $15 plan to $29 plan .. but getting message saying this page is'nt valid anymore... everytime i try to make the change


4 replies

Userlevel 6
Badge +4
Hi there Stevie... Try to delete the cookies and cache, close your browser and re-try again... If still does not work, could be an error in the back end system, sometimes happens with those OLD plans... So at that point, you could call customer service, expose your case, and they will be able to change it for you...
Userlevel 3
What browser are you using?Self serve is only compatible with Internet Explore and Mozilla Firefox. If you are using the browsers listed try clearing the cookies and cache and launching again.
Userlevel 6
Badge +4
Rocky Balboa wrote:

What browser are you using?Self serve is only compatible with Internet Explore and Mozilla Firefo...

Hey Rocky, The Self Service account is compatible with all the most popular browsers, clients just need to make sure they have a recent version...
Userlevel 5
Rocky Balboa wrote:

What browser are you using?Self serve is only compatible with Internet Explore and Mozilla Firefo...

Except that it does not react well with Chrome

Reply